# Locations

The location object represent a real world venue, a single property may have many locations up and down the country for example. Redemptions, topups and new orders can all be assigned a locationID to identify where they occured on a granular level.

All API keys have access to this endpoint.

## List locations

<mark style="color:blue;">`GET`</mark> `https://api.giftpro.co.uk/locations/`

The locations can be filtered to those assigned to a specific property using `domainID` as a filter parameter

#### Query Parameters

| Name     | Type | Description                                            |
| -------- | ---- | ------------------------------------------------------ |
| domainID | int  | Show only locations assigned to the specified property |

{% tabs %}
{% tab title="200: OK " %}

```json
[
  {
      "locationID": 71,
      "name": "Lymington Hotel Montagne",
      "addressLine1": "Stirley House",
      "addressLine2": "Stirley Park",
      "locality": "Lymington",
      "county": "Hampshire",
      "country": "United Kingdom",
      "address": "GBP"
  },
  {...}
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giftpro.co.uk/reference/locations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
